<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  // connexion d'un client
  
  session_start(); //démarrage de la session
  
  include("../../params.php"); //prise des paramètres
  
  include("../../i18n.php"); //Internationalisation
  
  //Transitionel mieux que strict !, tout en majuscule sauf html (convention de nommage)
  
  echo 
  "<?xml version='1.1' encoding='iso-8859-1' ?>
  <!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
  'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
  <html xml:lang='$lang' lang='$lang' xmlns='http://www.w3.org/1999/xhtml'>";

  include("../../keywords.php"); //inclue les mots-clés
  
  echo"
  <head>";
  
    include("../../licence.php"); //La licence GNU GPL (placé ici pour IE)
    
    echo "<title>";
    
    echo "".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )].",";
    for($i=1;$i<=6;$i++){
      echo " ".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )].",";
    }
    echo " ".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )]." </title>";
    
    include('../../meta.php'); //inclue aussi les balises meta (pour le référencement)
    
    $NomRepInstall = "freepay/";
    $TailleNomRepInstall = strlen($NomRepInstall); //calcul de la taille du répertoire
    $PositionArr = strpos($_SERVER["SCRIPT_NAME"], $NomRepInstall); // trouve la pos de l'emplacement du mot avec strrpos
    $PositionMilieu = substr($_SERVER["SCRIPT_NAME"], 0, $PositionArr+$TailleNomRepInstall); /* extraction de chaine */
    $AdresseFreePay = 'http://'.$_SERVER['HTTP_HOST'].$PositionMilieu.'';
    
    //Utilisation de CSS externe
    echo "<link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/haut.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/menu.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/corps.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/messages.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/tableaux.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/bas.css' />
    
    
  </head>
  
  <body>";
  
  echo "
  
  <p><br/><br/><br/></p>
  ";
  
  echo "<div class='erreur_haut'>";
  
  	if( isset($host,$user,$password) ){
  		$connexion = @mysql_connect($host,$user,$password);  // Connexion au serveur (A clarifier)

  		if(!$connexion){
    echo "<p class='info'><strong>La connexion à échoué.</strong> L'hôte (ligne 23), l'utilisateur (ligne 24) ou le mot de passe (ligne 25) du fichier params.php est invalide.</p>";
  		}
	}
  
  //Si la fenetre n'est pas en 1024 par 768, ne pas redimensionner en 1024 par 768
  
  echo "</div>
  "; 
  
  //si le navigateur est Firefox
  
    //vérifie si les données ont été envoyés de l'extérieur
    
    if( !empty($_GET['mailcli']) ) { $mailcli = str_replace(" ", "", $_GET['mailcli']);  }
    
    if( !empty($_GET['mdpcli']) ) { $mdpcli = $_GET['mdpcli'];    }
    
    if( !empty($_GET['URLRetour']) ) { 
      $URLRetour = $_GET['URLRetour'];  
    }else{
      $URLRetour = $AdresseFreePay.'nav_mon_compte.php';
    }
    
    //vérifie si les données ont été envoyés de l'intérieur
    
    if( !empty($_POST['mailcli']) ) {
    	$mailcli = substr(addslashes(htmlentities(strip_tags(str_replace("	", "", str_replace(" ", "", $_POST['mailcli']))))),0,40); //
    }
    
    if( !empty($_POST['mdpcli']) ) { $mdpcli = htmlentities(strip_tags($_POST['mdpcli']));    }
    
    if( !empty($_POST['URLRetour']) ) { $URLRetour = $_POST['URLRetour'];    }
    
    //non vide ?
    
    if( !empty($mailcli) and  !empty($mdpcli) )
    {
		if(mysql_select_db($base,$connexion)){ // si connexion à la base réussi
		
			$requete_client = "select * from freepay_client where mailcli = '".$mailcli."';"; //requête sql
			$resultat_client = mysql_query($requete_client,$connexion); //connexion de la requete
			$ligne = mysql_fetch_assoc($resultat_client); //affichage des résultats
			
			if($ligne) //si les informations sont trouvées 
			{
			  $md5mdpcli = md5($mdpcli); //cryptage par md5 du mot de passe
			  
			  if($md5mdpcli == $ligne["mdpcli"]) // si mot de passe correspond
			  {
				//les variables de sessions prennent les valeurs de la base
				$_SESSION["mailcli"] = $ligne["mailcli"];
				$_SESSION["mdpcli"] = $_POST["mdpcli"]; //sauf pour le mot de passe
				$_SESSION["nomcli"] = $ligne["nomcli"];
				$_SESSION["prenomcli"] = $ligne["prenomcli"];
				$_SESSION["adresscli"] = $ligne["adresscli"];
				$_SESSION["cpcli"] = $ligne["cpcli"];
				$_SESSION["villecli"] = $ligne["villecli"];
				$_SESSION["payscli"] = $ligne["payscli"];
				$_SESSION["telcli"] = $ligne["telcli"];
				$_SESSION["montantcompte"] = $ligne["montantcompte"];
				$_SESSION["datecreationcompte"] = $ligne["datecreationcompte"];
				$_SESSION["devise"] = $NomDevise;
				
				echo '<meta http-equiv="refresh" content="0; url='.$URLRetour.'">';
				
			  }
			}
		}
    }
    
    include('connexion_interface.php'); // L'interface de connexion
  

?>
